Cyberduck Mountain Duck CLI

#1453 closed defect (worksforme)

Freezing while using up/down arrows to move between files

Reported by: jazbek Owned by: dkocher
Priority: normal Milestone: 2.8.4
Component: core Version: 2.8.2
Severity: critical Keywords:
Cc: Architecture:
Platform:

Description

Ever since updating to 2.8.2 two nights ago, I have been getting intermittent freezes in Cyberduck. I use the keyboard to navigate through the Cyberduck browser, and occasionally the program will freeze up (beach ball) as I am pushing the down or up arrow to move focus between files.

I have been able to replicate by opening an FTP connection, and then just holding the up and down arrows until it eventually freezes. It appears random, but I've noticed that it does seem to happen more often right after I've opened a directory (by pushing cmd-down arrow on it).

Change History (8)

comment:1 Changed on Dec 13, 2007 at 10:21:08 PM by dkocher

  • Milestone set to 2.8.3
  • Status changed from new to assigned

May be related to commit r3350.

comment:2 Changed on Dec 17, 2007 at 5:43:49 PM by jazbek

Update - now that I've been using 2.8.2 for a longer time period, I've found freezes occurring while doing more than just navigating with the arrows. I've also gotten freezes when pushing opt-up arrow to upload a file (file dialog box never loads), and once when pushing return on a file to edit the name.

comment:3 Changed on Jan 2, 2008 at 11:33:03 AM by dkocher

  • Resolution set to worksforme
  • Status changed from assigned to closed

Please test aqainst the latest nightly build at http://update.cyberduck.ch/nightly/

comment:4 Changed on Jan 2, 2008 at 6:36:42 PM by jazbek

Awesome, seems to work for me. I'll use the nightly build in place of 2.8.2 and reply again if I find any problems after using it for a few days.

comment:5 Changed on Jan 4, 2008 at 1:08:45 AM by jazbek

  • Resolution worksforme deleted
  • Status changed from closed to reopened

Just updated to 2.8.3 this morning and after about 10 mins of use, I got a beach ball while using up/down arrows to move focus between files on the server I was connected to.

comment:6 Changed on Jan 11, 2008 at 5:57:09 PM by ohsmitt

Yea, I would like to just chime in with a me too on this one. Browsing using the keyboard locks up after about 5-10 folders. Never had this problem before using the mouse to browse. Tried with nightly 3425 as well and the error still happens.

comment:7 Changed on Jan 19, 2008 at 6:13:30 PM by dkocher

Ticket #1654 closed as a duplicate.

comment:8 Changed on Jan 21, 2008 at 4:48:02 PM by dkocher

  • Resolution set to worksforme
  • Status changed from reopened to closed

As of r3456. Reopen if this is still an issue.

Note: See TracTickets for help on using tickets.
swiss made software